<?xml version="1.0" encoding="utf-8"?>
<customUI xmlns="http://schemas.microsoft.com/office/2006/01/customui">
  <ribbon>
    <tabs>
      <tab id="CustomTab" label="My Stuff">
        <group id="grpInfo" label="Information">
          <labelControl id="lblUser" getLabel="getlblUser" />
          <labelControl id="lblDate" getLabel="getlblDate" />
        </group>
        <group id="grpMath" label="Math">
          <editBox id="ebxSquare" showLabel="true" label="The square of" onChange="ebxSquare_Change" />
          <labelControl id="lblSquare" getLabel="getlblSquare" />
          <separator id="sepMath" />
          <button id="btnCalc" label="Calculator" size="large" onAction="ShowCalculator" imageMso="Calculator" />
        </group>
        <group id="grpFeedback" label="Feedback">
          <toggleButton id="ToggleButton1" size="large" imageMso="FileManageMenu" label="Toggle Me" onAction="ToggleButton1_Click" />
          <checkBox id="Checkbox1" label="Checkbox" onAction="Checkbox1_Change" />
          <comboBox id="Combo1" label="Month" onChange="Combo1_Change">
            <item id="Month1" label="January" />
            <item id="Month2" label="February" />
            <item id="Month3" label="March" />
            <item id="Month4" label="April" />
            <item id="Month5" label="May" />
            <item id="Month6" label="June" />
            <item id="Month7" label="July" />
            <item id="Month8" label="August" />
            <item id="Month9" label="September" />
            <item id="Month10" label="October" />
            <item id="Month11" label="November" />
            <item id="Month12" label="December" />
          </comboBox>
        </group>
        <group id="grpBuiltIn" label="Built In Stuff">
          <control idMso="Copy" label="Copy" />
          <control idMso="Paste" label="Paste" enabled="true" />
          <control idMso="WindowSwitchWindowsMenuExcel" label="Switch Window" />
          <control idMso="Italic" />
          <control idMso="Bold" />
          <control idMso="FileOpen" />
        </group>
        <group id="grpGalleries" label="Galleries">
          <gallery id="galAppointments" imageMso="ViewAppointmentInCalendar" label="Pick a Month:" columns="2" rows="6" onAction="MonthSelected">
            <item id="January" label="January" imageMso="QuerySelectQueryType" />
            <item id="February" label="February" imageMso="QuerySelectQueryType" />
            <item id="March" label="March" imageMso="QuerySelectQueryType" />
            <item id="April" label="April" imageMso="QuerySelectQueryType" />
            <item id="May" label="May" imageMso="QuerySelectQueryType" />
            <item id="June" label="June" imageMso="QuerySelectQueryType" />
            <item id="July" label="July" imageMso="QuerySelectQueryType" />
            <item id="August" label="August" imageMso="QuerySelectQueryType" />
            <item id="September" label="September" imageMso="QuerySelectQueryType" />
            <item id="October" label="October" imageMso="QuerySelectQueryType" />
            <item id="November" label="November" imageMso="QuerySelectQueryType" />
            <item id="December" label="December" imageMso="QuerySelectQueryType" />
            <button id="Today" label="Today..." imageMso="ViewAppointmentInCalendar" onAction="ShowToday" />
          </gallery>
          <gallery id="galPictures" label="Banjo Players" columns="4" itemWidth="100" itemHeight="125" imageMso="Camera" onAction="galPictures_Click" getItemCount="galPictures_ItemCount" getItemImage="galPictures_ItemImage" size="large"></gallery>
        </group>
      </tab>
    </tabs>
  </ribbon>
</customUI>